---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 3G
need_cpu: 2
kernel-selftests:
  group: pidfd
kernel_cmdline: sysctl.debug.test_sysctl.boot_int=1
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-0710a1a73fb4-20240307-48403-i3pfgl-0.yaml"
id: 919a141ffd61932bec3b85b6341f02061aa24777
queuer_version: "/zday/lkp"

#! /db/releases/20240302195605/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240302195605/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240302195605/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240302195605/lkp-src/include/queue/cyclic
commit: 0710a1a73fb45033ebb06073e374ab7d44a05f15

#! /db/releases/20240302195605/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

# for sysctl

#! /db/releases/20240302195605/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- UTS_NS: y
- IPC_NS: y
- USER_NS: y
- PID_NS: y
- NET_NS: y
- CGROUPS: y
- CHECKPOINT_RESTORE: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-03-07 02:25:17.502328979 +08:00
_rt: "/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15"
compiler: gcc-12
head_commit: 57375123516fa15c962659df000a48c82a34cb84
base_commit: d206a76d7d2726f3b096037f2079ce0bd3ba329b
branch: linux-devel/devel-hourly-20240302-212600
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240306-225947"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/vmlinuz-6.8.0-rc6-01728-g0710a1a73fb4
- branch=linux-devel/devel-hourly-20240302-212600
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-0710a1a73fb4-20240307-48403-i3pfgl-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=0710a1a73fb45033ebb06073e374ab7d44a05f15
- sysctl.debug.test_sysctl.boot_int=1
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240301.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-4306b286-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240302195605/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-0710a1a73fb4-20240307-48403-i3pfgl-0.cgz"
last_kernel: 6.8.0-rc4-01499-g26b2a265d888
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/vmlinuz-6.8.0-rc6-01728-g0710a1a73fb4"
result_root: "/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/0710a1a73fb45033ebb06073e374ab7d44a05f15/0"

#! /cephfs/db/releases/20240306220820/lkp-src/include/site/inn
dequeue_time: 2024-03-07 02:45:06.493402617 +08:00
job_state: finished
loadavg: 1.54 1.63 0.89 1/421 45933
start_time: '1709750838'
end_time: '1709751140'
version: "/lkp/lkp/.src-20240306-230023:fe705a00b0e6:b99a3329661e"
